
import path from 'node:path';
import { defineConfig, loadConfigFromFile, loadEnv } from "vite";

import Components from "unplugin-vue-components/vite";



const config = defineConfig(({ command, mode, ssrBuild }) => {




    return {

        


        plugins: [
            Components({
                dirs: ["src/pc/components", "src/pc/pages/**/_components"],
                resolvers: [
                ],
                dts: "src/pc/components.d.ts",
            }),


        ],

        server: {
            port: 3333,
        },
    }
});

export default config;
